Bug 798327 - Generated Uber certs have a space making pkcs12 generation fail
Generated Uber certs have a space making pkcs12 generation fail
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.0
Unspecified Unspecified
high Severity high (vote)
: Unspecified
: --
Assigned To: Justin Sherrill
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-28 11:21 EST by Justin Sherrill
Modified: 2014-09-18 11:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-22 14:29:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Sherrill 2012-02-28 11:21:06 EST
Description of problem:

The "Debug" cert generation will generate a cert with a stray space in it just before the -----BEGIN CERTIFICATE-----   line.  So when you follow these instructions:

https://fedorahosted.org/katello/wiki/GuideDebugCertificates

the openssl command will fail with the error:

unable to load certificates


Removing the space fixes the problem but it is not obvious that it is there, and there is no need for it to be.
Comment 2 Justin Sherrill 2012-02-29 13:47:39 EST
fixed in katello master:
cc8da0c22625ea614024ebcb8f1b736eaadee8b3
Comment 4 Mike McCune 2012-03-07 18:43:31 EST
mass move ON_QA after brewing
Comment 5 Jeff Weiss 2012-03-09 16:01:54 EST
Verifed, openssl command works now
Katello Version: 0.2.9-1.git.0.aede6b1.el6

Note You need to log in before you can comment on or make changes to this bug.